[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'Contnrs' (#fcl)

# TFPHashList.Clear

Clear the list

## Declaration

Source position: contnrs.pp line 242

`public procedure TFPHashList.Clear;`

## Description

Clear removes all items from the list. It does not free the data items themselves. It frees all memory needed to contain the items.

## Errors

None.

## See also

TFPHashList.Extract |  | Extract a pointer from the list
TFPHashList.Remove |  | Remove first instance of a pointer
TFPHashList.Delete |  | Delete an item from the list.
TFPHashList.Add |  | Add a new key/data pair to the list